.\" DAL DaSetDefAM(3) manpage
.\"
.\"
.\" +============================================+
.\" |  Author:          Yury Georgievskiy, CERN  |
.\" |  Creation date:   08.05.2007               |
.\" +============================================+
.\"
.\"
.TH DASETDEFAM "3" "May 2007" "Driver Access Library" "DAL User's Manual"
.SH NAME
DaSetDefAM \- module access method control
.SH SYNOPSIS
.B da_err_t DaSetDefAM(HANDLE \fIhandle\fB, METHOD \fInam\fB);
.SH DESCRIPTION
Set default access method for the register accessing. Possible access methods
are: \fBIOCTL\fR, \fBIOMMAP\fR or \fBIODMA\fR.
.br
In order to be able to switch between the methods -- they should be explicitly
requested during \fIDaEnableAccess()\fR
.TP
.I handle
- is a library handle, returned by \fIDaEnableAccess()\fR call
.TP
.I nam
- new access method to set
.SH RETURN VALUE
.TP
.B DA_ERR_ALL_OK
- new default access method is set
.TP
.B -DA_ERR_BAD_HANDLE
- provided library \fIhandle\fR is bad
.TP
.B -DA_ERR_BAD_AM
- only one access method is allowed, i.e. it's not possible to change an
existing one
.TP
.B -DA_ERR_NOT_INIT
- library was not initialized, i.e. \fIDaEnableAccess()\fR was not called
.SH AUTHOR
Written by Yury Georgievskiy (ygeorgie (at) gmail.com)
.SH SEE ALSO
.BR driverGen (8),
.BR modinst (8),
.BR moduninst (8),
.BR dal (3),
.BR DaEnableAccess (3),
.BR DaDisableAccess (3),
.BR DaGetDefAM (3),
.BR DaGetNodeFd (3),
.BR DaGetRegister (3),
.BR DaGetRegChunk (3),
.BR DaSetRegister (3),
.BR DaSetRegChunk (3),
.BR DaGetRegDepth (3),
.BR DaGetRegSize (3),
.BR DaGetRegRep (3),
.BR DaSetRegRep (3),
.BR DaGetRegAccessRights (3),
.BR DaGetRegName (3),
.BR DaDrvrVers (3),
.BR DaLibVers (3),
.BR DaDbgFlag (3),
.BR DaGetErrCode (3),
.BR DaUserEntryPoint (3)
